<?php
/*
 * File: areas_add.php
 * Proyect: sige
 * Created on 16/02/2007
 * 
 * +----------------------------------------------------------------------+
 * | SIGE:                                                                |
 * | Plataforma de desarrollo modular con administracion de usuarios,     |
 * | grupos, modulos y permisos                                           |
 * +----------------------------------------------------------------------+
 * |                                                                      |
 * | Copyright (C) 2005,2006  I.T.D.S. - Mendoza - Argentina              |
 * |                                                                      |
 * | This program is free software; you can redistribute it and/or        |
 * | modify it under the terms of the GNU General Public License          |
 * | as published by the Free Software Foundation; either version 2       |
 * | of the License, or (at your option) any later version.               |
 * |                                                                      |
 * | This program is distributed in the hope that it will be useful,      |
 * | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
 * | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
 * | GNU General Public License for more details.                         |
 * |                                                                      |
 * | You should have received a copy of the GNU General Public License    |
 * | along with this program; if not, write to the Free Software          |
 * | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA            |
 * | 02111-1307, USA.                                                     |
 * |                                                                      |
 * | Author: Pablo A. Vargas - pvargas@itds.com.ar                        |
 * +----------------------------------------------------------------------+
 * | http://www.itds.com.ar/dev/sige                                      |
 * +----------------------------------------------------------------------+
 * 
 */


/**
 * Devuelve el nombre de un area basandose en el archivo de idioma
 * @author Pablo A. Vargas <pvargas@itds.com.ar>
 * @param string $aprea_path ruta al directorio base del area
 * @return string nombre del modulo
 */
function get_name_area ($area_path) {
	global $SYS_lang;
	$LANG_MOD_name="";
	include($area_path."/lang/".$SYS_lang);
	$area_name=$LANG_MOD_name;
	return($area_name);
}

function area_install ($app_dir="",$area_dir="",$area_id="") {
	global $SYS_PATH,$LUA;
	//inicializamos variableas...
	$right=array();	$data_type="";$import_data_file="";
	$install_file=$area_dir."/install.php";
	if (is_file($install_file)) {
		require_once($install_file);
	}
	// primero damos de alta los permisos
	// si no hay definidos permisos, creamos uno que se llamara USAR
	if (empty($right)) {
		$right['0'] = "USAR";
	}
	for ($index = 0; $index < sizeof($right) ; $index++) {
		$data = array(	'area_id' => $area_id,
						'right_define_name' => $right[$index],
						'has_implied' => 0);
		$right_Id = $LUA->perm->addRight($data);	
	}
	
	// despues importamos los datos...
	$filename=$new_module_dir."/".$import_data_file;
	if (is_file($filename)) {
		switch ($data_type) {
			case mysql:
				include("$SYS_PATH/inc/import_mysql.php");
				break;
		}
	}
} 

require ("module_init.php");
// ESTO ES NECESARIO PARA LOS ESTILOS
$yosoy=basename($_SERVER['PHP_SELF']);
$i=$MD_ID[$yosoy];
$MD_sec_name=$MD_sec['name'][$i];
$MD_sec_icon=$MD_sec['icon'][$i];

$PLANTILLA = new TemplatePower( "plantilla/area_add.html" );
$PLANTILLA->prepare();

if (!empty($_POST['areadir'])) {
	$filtro_busqueda = array('filters' => 
		   				array('application_id'=>$_POST['apps']));
	$list_apps= $LUA->perm->getApplications($filtro_busqueda);
	if (sizeof($list_apps)>0) {
		$val=$list_apps['0'];
		$appsdir=$val['application_directorio'];
		// CREAMOS LOS DIRECTORIOS BASICOS
		$basedir=$SYS_PATH."apps/".$appsdir."/modules/".$_POST['areadir'];
		if (@mkdir("$basedir")) {
			@mkdir("$basedir/lang");
			@mkdir("$basedir/plnatilla");
			@chmod("$basedir",0777);
			@chmod("$basedir/lang",0777);
			@chmod("$basedir/plnatilla",0777);
			
		////////////////////////////////////
		// INDEX.PHP
		$archi=file("skel.index.php");
		$archi['4']=" * Created on $fecha_hora_hoy \n";
		$archi['29']=" * | Author: $yoname - $yoemail                        | \n";
		
		$salida="$basedir/index.php";
		if ($gestor=fopen("$salida","x+") ) {
		    foreach($archi as $key => $val) {
			    if (fwrite($gestor, $val) === FALSE) {
	        		$alerta.="No se puede escribir al archivo ($salida)";
	        		exit;
	    		}
		    }
		}
		@chmod("$salida",0777);
		
		////////////////////////////////////
		// INSTALL.PHP
		$archi=file("skel.install.php");
		$archi['4']=" * Created on $fecha_hora_hoy \n";
		$archi['29']=" * | Author: $yoname - $yoemail                        | \n";
		
		$salida="$basedir/install.php";
		if ($gestor=fopen("$salida","x+") ) {
		    foreach($archi as $key => $val) {
			    if (fwrite($gestor, $val) === FALSE) {
	        		$alerta.="No se puede escribir al archivo ($salida)";
	        		exit;
	    		}
		    }
		}
		@chmod("$salida",0777);
			
		////////////////////////////////////
		// MODULE_INIT.PHP
		$archi=file("skel.module_init.php");
		$archi['4']=" * Created on $fecha_hora_hoy \n";
		$archi['29']=" * | Author: $yoname - $yoemail                        | \n";
		
		$salida="$basedir/module_init.php";
		if ($gestor=fopen("$salida","x+") ) {
		    foreach($archi as $key => $val) {
			    if (fwrite($gestor, $val) === FALSE) {
	        		$alerta.="No se puede escribir al archivo ($salida)";
	        		exit;
	    		}
		    }
		}
		@chmod("$salida",0777);
		
		////////////////////////////////////
		// CONFIG.PHP
		$archi=file("skel.config.inc.php");
		$archi['4']=" * Created on $fecha_hora_hoy \n";
		$archi['29']=" * | Author: $yoname - $yoemail                        | \n";
		$archi['41']="\$MODULE_base_dir=\"".$_POST['areadir']."\"; // directorio en el que estamos \n";
		$salida="$basedir/config.inc.php";
		if ($gestor=fopen("$salida","x+") ) {
		    foreach($archi as $key => $val) {
			    if (fwrite($gestor, $val) === FALSE) {
	        		$alerta.="No se puede escribir al archivo ($salida)";
	        		exit;
	    		}
		    }
		}
		@chmod("$salida",0777);
		
		////////////////////////////////////
		// es_ES.PHP
		$archi=file("skel.es_ES.php");
		$archi['4']=" * Created on $fecha_hora_hoy \n";
		$archi['29']=" * | Author: $yoname - $yoemail                        | \n";
		$archi['36']="\$LANG_MOD_name=\"".$_POST['areaname']."\";  \n";
		$salida="$basedir/lang/es_ES.php";
		if ($gestor=fopen("$salida","x+") ) {
		    foreach($archi as $key => $val) {
			    if (fwrite($gestor, $val) === FALSE) {
	        		$alerta.="No se puede escribir al archivo ($salida)";
	        		exit;
	    		}
		    }
		}
		@chmod("$salida",0777);
		
		if (empty($alerta)) {
			$area_name=get_name_area($basedir);
			$data = array(		'application_id' => $_POST['apps'],
								'area_define_name' => $_POST['areaname'],
								'area_directorio'=> $_POST['areadir'],
								'area_estado'=>'0',
								'area_orden'=>'1');
		    $area_id = $LUA->perm->addArea($data);
			
			if ($area_id == false) {
					$result="Add_area: error on line: ".__LINE__;
					$result.=print_r($LUA->getErrors());
		      	} else {
		      		$result = $LANG_saveok;
		      		$filtro_busqueda = array('filters' => array('application_id' =>"$data[application_id]") );				
					$list_apps = $LUA->perm->getApplications($filtro_busqueda);
					$data_apps = $list_apps['0'];
			      	area_install($data_apps['application_directorio'],$basedir,$area_id);      	
		      	}
				$alerta=$result;
			}
		} else {
			$alerta="No se pude crear el directorio ($basedir)";
		}
	} else {
		$alerta="La aplicacion seleccionada no exite";
	}
	
} else {
	$PLANTILLA->newBlock("form");
	$PLANTILLA->assign("accion", $_SERVER['PHP_SELF']);
	$PLANTILLA->assign("boton", $LANG_save);
	$list_apps = $LUA->perm->getApplications();
	foreach ($list_apps as $key => $val) {
		$PLANTILLA->newBlock("apps");
		$PLANTILLA->assign("id", $val['application_id']);
		$PLANTILLA->assign("valor", $val['application_define_name']);
		if ($_SESSION['apps']==$val['application_id']) {
			$PLANTILLA->assign("selected", "selected");
		}
	}
}

/////////////////////////////////////////////////////
include ($SYS_PATH."inc/header.php");
include ($SYS_PATH."inc/menu.php");
//////////////////////////////////////////////////
// SI HAY ALERTAS LAS MOSTRAMOS 
if (isset($alerta)) {
	$PLANTILLA->newBlock("alerta");
	$PLANTILLA->assign("alerta", "$alerta");
	for ($index = 0; $index < sizeof($MD_sec['name']); $index++) {
		$nombre = $MD_sec['name'][$index];
		$link = $MD_sec['file'][$index];

   		$PLANTILLA->newBlock("menu");
		$PLANTILLA->assign("menu", "$nombre");
		$PLANTILLA->assign("link", "$link");
	}
}
$PLANTILLA->printToScreen();
include ($SYS_PATH."inc/footer.php");
?>
