<?php
/*
 * File: add_module.php
 * Created on 28/12/2005 
 * 
 * +----------------------------------------------------------------------+
 * | SIGE:                                                                |
 * | Plataforma de desarrollo modular con administracion de usuarios,     |
 * | grupos, modulos y permisos                                           |
 * +----------------------------------------------------------------------+
 * |                                                                      |
 * | Copyright (C) 2005,2006  I.T.D.S. - Mendoza - Argentina              |
 * |                                                                      |
 * | This program is free software; you can redistribute it and/or        |
 * | modify it under the terms of the GNU General Public License          |
 * | as published by the Free Software Foundation; either version 2       |
 * | of the License, or (at your option) any later version.               |
 * |                                                                      |
 * | This program is distributed in the hope that it will be useful,      |
 * | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
 * | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
 * | GNU General Public License for more details.                         |
 * |                                                                      |
 * | You should have received a copy of the GNU General Public License    |
 * | along with this program; if not, write to the Free Software          |
 * | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA            |
 * | 02111-1307, USA.                                                     |
 * |                                                                      |
 * | Author: Pablo A. Vargas - pvargas@itds.com.ar                        |
 * |         Emmanuel N. Millan Kujtiuk - emillan@itds.com.ar             |
 * +----------------------------------------------------------------------+
 * | http://www.itds.com.ar/dev/sige                                      |
 * +----------------------------------------------------------------------+
 * 
 */
 
function get_name_area ($area_path) {
	global $SYS_lang;
	$LANG_MOD_name="";
	include($area_path."/lang/".$SYS_lang);
	$area_name=$LANG_MOD_name;
	return($area_name);
}

function area_install ($app_dir="",$area_dir="",$area_id="") {
	global $SYS_PATH,$LUA;
	//inicializamos variableas...
	$right=array();	$data_type="";$import_data_file="";
	$new_module_dir=$SYS_PATH."apps/".$app_dir."/modules/".$area_dir;
	$install_file=$new_module_dir."/install.php";
	if (is_file($install_file)) {
		require_once($install_file);
		// primero damos de alta los permisos
		
		// si no hay definidos permisos, creamos uno que se llamara USAR
		if (empty($right)) {
			$right['0'] = "USAR";
		}
		
		for ($index = 0; $index < sizeof($right) ; $index++) {
			$data = array(	'area_id' => $area_id,
							'right_define_name' => $right[$index],
							'has_implied' => 0);
			$right_Id = $LUA->perm->addRight($data);	
		}
		// despues importamos los datos...
		$filename=$new_module_dir."/".$import_data_file;
		if (is_file($filename)) {
			switch ($data_type) {
				case mysql:
					include("$SYS_PATH/inc/import_mysql.php");
					break;
			}
		}
	}
	
} 
 
require ("config.inc.php");
$MD_sec_name=$MD_sec['name']['1'];
$MD_sec_icon=$MD_sec['icon']['1'];


//$APP_PATH=$_SESSION['application_define_name'];

//IMPORTANTE: tiene que estar antes de llamar al menu.php, en todos los 
//items del menu lateral, ej: list_areas.php, edit_areas.php, etc.....
if (isset($_SESSION['id_app'])) {
	$id_app=$_SESSION['id_app'];
}

include ($SYS_PATH."inc/header.php");
include ($SYS_PATH."inc/menu.php");

$PLANTILLA = new TemplatePower( "plantilla/add_area.html" );
$PLANTILLA->prepare();
$PLANTILLA->assign("nombre_modulo", $_SESSION['application']['name']." - ".$MD_sec_name);

if (isset($_POST[$LANG_add])) {			//AGREGA EL MODULO NUEVO
	
	$relative_path_area=$SYS_PATH."apps/".$_SESSION['application']['dir']."/modules/".$_POST['directorio'];
	if (is_dir($relative_path_area)) {
		// el nombre los traemos a travez de una funcion para no pisar los archivos de idioma
		$area_name=get_name_area($relative_path_area);
		$data = array(		'application_id' => $id_app,
							'area_define_name' => $area_name,
							'area_directorio'=> $_POST['directorio'],
							'area_estado'=>'0',
							'area_orden'=>'1');
	    $area_id = $LUA->perm->addArea($data);
		
		if ($area_id == false) {
				$result="Add_area: error on line: ".__LINE__;
				$result.=print_r($LUA->getErrors());
	      	} else {
	      		$result = $LANG_saveok;
	      		//SCRIPT de instalacion del modulo, agrega permisos, inserta las
		      	//tablas necesarias a la DB... etc... etc...
		      	//$INSTALL=true;
		      	//require_once ($SYS_PATH."apps/".$_SESSION['application']['dir']."/modules/".$_POST['directorio']."/install.php");
		      	$result=area_install($_SESSION['application']['dir'],$_POST['directorio'],$area_id);      	
	      	}
		$alerta=$result;
	} else {
		$alerta="ERROR - el dir no existe";
	}
} else {

	$PLANTILLA->assign("_ROOT.accion", $_SERVER['PHP_SELF']);
	
 	//PLANTILLA LIMPIA PARA AGREGAR UN MODULO
	$PLANTILLA->newBlock("agregar");
	
	$PLANTILLA->assign("id_app", $id_app);
	$PLANTILLA->assign("valor_col", "");
	$PLANTILLA->assign("dir", "");
	$PLANTILLA->assign("LANG_enter", $LANG_enter);
	$PLANTILLA->assign("boton", $LANG_add);
}

//////////////////////////////////////////////////
// SI HAY ALERTAS LAS MOSTRAMOS 

if (isset($alerta)) {
	$PLANTILLA->newBlock("alerta");
	$PLANTILLA->assign("alerta", "$alerta");
	for ($index = 0; $index < sizeof($MD_sec['name']); $index++) {
		$nombre = $MD_sec['name'][$index];
		$link = $MD_sec['file'][$index];


    	$PLANTILLA->newBlock("menu");
		$PLANTILLA->assign("menu", "$nombre");
		$PLANTILLA->assign("link", "$link");
	}
}
$PLANTILLA->printToScreen();

include ($SYS_PATH."inc/footer.php");
?>
