<?php
/*
 * File: member_group.php
 * Created on 30/01/2006 
 * 
 * +----------------------------------------------------------------------+
 * | SIGE:                                                                |
 * | Plataforma de desarrollo modular con administracion de usuarios,     |
 * | grupos, modulos y permisos                                           |
 * +----------------------------------------------------------------------+
 * |                                                                      |
 * | Copyright (C) 2005,2006  I.T.D.S. - Mendoza - Argentina              |
 * |                                                                      |
 * | This program is free software; you can redistribute it and/or        |
 * | modify it under the terms of the GNU General Public License          |
 * | as published by the Free Software Foundation; either version 2       |
 * | of the License, or (at your option) any later version.               |
 * |                                                                      |
 * | This program is distributed in the hope that it will be useful,      |
 * | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
 * | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
 * | GNU General Public License for more details.                         |
 * |                                                                      |
 * | You should have received a copy of the GNU General Public License    |
 * | along with this program; if not, write to the Free Software          |
 * | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA            |
 * | 02111-1307, USA.                                                     |
 * |                                                                      |
 * | Author: Pablo A. Vargas - pvargas@itds.com.ar                        |
 * |         Emmanuel N. Millan Kujtiuk - emillan@itds.com.ar             |
 * +----------------------------------------------------------------------+
 * | http://www.itds.com.ar/dev/sige                                      |
 * +----------------------------------------------------------------------+
 * 
 */
 
require ("config.inc.php");

$MD_sec_name=$MD_sec['name']['3'];
$MD_sec_icon=$MD_sec['icon']['3'];

if (isset($_POST['area'])) { $_SESSION['area_id'] = $_POST['area']; }

$MOD_HEAD='<script src="'.$SYS_PATH.'lib/javascripts/prototype.js" type="text/javascript"></script>';

include ($SYS_PATH."inc/header.php");
include ($SYS_PATH."inc/menu.php");

$PLANTILLA = new TemplatePower( "plantilla/perm_area.html" );
$PLANTILLA->prepare();
$PLANTILLA->assign("_ROOT.accion", $_SERVER['PHP_SELF']);
$PLANTILLA->assign("nombre_modulo", $_SESSION['application']['name']." - ".$MD_sec_name);

// seleccionamos el area en la que vamos a trabajar
$filter=array('filters' => array('application_id'=>$_SESSION['id_app']));
$list_areas = $LUA->perm->getAreas($filter);
$PLANTILLA->newBlock("form");
$PLANTILLA->assign("accion", $_SERVER['PHP_SELF']);
$PLANTILLA->assign("LANG_pfa_area_selarea", $LANG_pfa_area_selarea);
$PLANTILLA->assign("listar", $LANG_send);

$esdemiapps=false;
foreach ($list_areas as $key => $val) { 
	$PLANTILLA->newBlock("area");	
	$PLANTILLA->assign("id_area",$val['area_id']);
	$PLANTILLA->assign("areaname", $val['area_define_name']);
	//debemos verificar que el valor del area_id de la session sea de la apps en la que estamos 
	if ($_SESSION['area_id']==$val['area_id']){
		$esdemiapps=true;
		$PLANTILLA->assign("selected_area", "selected");
		$PLANTILLA->assign("form.area_sel", $_SESSION['area_id']);
	}
}
// si no se puso en true es poque no es de mi apps y por eso le borro el contenido
if ($esdemiapps==false) {
	$_SESSION['area_id']="";
}

// si actualizamos la informacion....
if (isset($_POST['sortableListsSubmitted'])) {	
	//print_r ($_POST);
	parse_str($_POST[perm_list], $perm);
	$data=array('filters'=>array('area_id'=>$_POST['area']), 
		    'selectable_tables'=>array('areas','rights'),
		    'fields'=>array('right_id'));
	$area_rights=$LUA->perm->getAreas($data);
	$parametros = array('container'=>'auth');
	$users=$LUA->getUsers($parametros);
	
	
	foreach($users as $key=>$user) {
		foreach($area_rights as $key => $right_id) {
			$removed = $LUA->perm->revokeUserRight(array('perm_user_id'=>$user['perm_user_id'],'right_id'=>$right_id['right_id']));
		}
		if (!empty($perm)) {
			foreach($perm as $id_user_select => $arr) {
				if ($id_user_select == $user['perm_user_id'] ) {
					foreach($arr as $value) {
						$data = array('right_id' =>$value, 'perm_user_id' => $id_user_select);
    						$added = $LUA->perm->grantUserRight($data);
					}
				}
			}
		}
	} 
	
	$alerta=$LANG_saveok;
}

if ((isset($_SESSION['area_id'])) && ($_SESSION['area_id'] != "")) {
	//Tengo que traer los grupos que tienen permisos sobre el modulo y los que no tienen permisos, 
	//crear dos listas "sortablelist", cada li de la lista tiene que ser una tabla, en la tabla
	//tienen que estar todos los permisos del modulo, con checkbox para dar o sacar un permiso
	//a un grupo.
	
	$PLANTILLA->newBlock("lista");
	$PLANTILLA->assign("LANG_pfa_area_perm", $LANG_pfa_area_perm);
	$PLANTILLA->assign("guardar", "$LANG_add");
	$PLANTILLA->assign("area", $_SESSION['area_id']);
	
	$parametros = array('filters'=>array('area_id'=>$_POST['area']));	
	$rights = $LUA->perm->outputRightsConstants('array', array('area'=>$_SESSION['area_id']));
		
	//el grupo que tienen algun tipo de permiso es listado aca	    	   	 	
	$parametros = array(	'container'=>'auth',
							'orders'=>array('handle'=>'ASC'));
	$users=$LUA->getUsers($parametros);

	//////////////////////////////////////
	//PAGINACION
	$PLANTILLA->newBlock("paginas");
	$total_registros = count($users);
	/*
	 * se nesesita tener definido la cantidad de registros a paginar
	 * y tiene que estar guardada en la variable $total_registros
	 * para que todo esto ande y devolvemos las variables $reg_first y $reg_last
	 */
	
	include_once ($SYS_PATH."inc/pages.php");
	$PLANTILLA->assign("paginacion", $paginacion);
	
	$user_array=array();		
	for ($i=$reg_first; $i<=$reg_last; $i++) {
		$var = $users[$i];	
		if (!in_array($var['perm_user_id'], $user_array)) {		
			$PLANTILLA->newBlock("con_permisos");
			$PLANTILLA->assign("define_name", $var['handle']);
			$PLANTILLA->assign("item", "member_".$var['perm_user_id']);
			$PLANTILLA->assign("height", "45");
			$PLANTILLA->assign("color", "red");
			
			$parametros = array('container'=>'perm','filters'=>array('perm_user_id'=>$var['perm_user_id']),
		    	    		'selectable_tables'=>array('rights','userrights','perm_users','users'),
		            		'fields'=>array('perm_user_id','right_define_name'));	
			$user_perms= $LUA->perm->getUsers($parametros);
		
			foreach ($rights as $perm_name => $perm_id) {
				$PLANTILLA->newBlock("perm_1");
				$PLANTILLA->assign("object_id", $var['perm_user_id']);
				$PLANTILLA->assign("right_name",$perm_name);
				$PLANTILLA->assign("perm",$perm_name);
				$PLANTILLA->assign("right_id",$perm_id);
				
				foreach ($user_perms as $var2) {
					if($perm_name==$var2['right_define_name']) {
						$PLANTILLA->assign("checked","checked");
						$PLANTILLA->assign("con_permisos.color", "green");		
					}
				}		
			}
			array_push($user_array, $var['perm_user_id']);
		}
	}
}

$PLANTILLA->newBlock("paginas");
include_once ($SYS_PATH."inc/pages.php");
$PLANTILLA->assign("salida", $salida);


if (isset($alerta)) {
	$PLANTILLA->newBlock("alerta");
	$PLANTILLA->assign("alerta", "$alerta");
	for ($index = 0; $index < sizeof($MD_sec['name']); $index++) {
		$nombre = $MD_sec['name'][$index];
		$link = $MD_sec['file'][$index];


    	$PLANTILLA->newBlock("menu");
		$PLANTILLA->assign("menu", "$nombre");
		$PLANTILLA->assign("link", "$link");
	}
}


$PLANTILLA->printToScreen();

include ($SYS_PATH."inc/footer.php");
?>
