<?php
/*
 * File: auth.php
 * Created on 28/11/2005 
 * 
 * +----------------------------------------------------------------------+
 * | SIGE:                                                                |
 * | Plataforma de desarrollo modular con administracion de usuarios,     |
 * | grupos, modulos y permisos                                           |
 * +----------------------------------------------------------------------+
 * |                                                                      |
 * | Copyright (C) 2005,2006  I.T.D.S. - Mendoza - Argentina              |
 * |                                                                      |
 * | This program is free software; you can redistribute it and/or        |
 * | modify it under the terms of the GNU General Public License          |
 * | as published by the Free Software Foundation; either version 2       |
 * | of the License, or (at your option) any later version.               |
 * |                                                                      |
 * | This program is distributed in the hope that it will be useful,      |
 * | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
 * | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
 * | GNU General Public License for more details.                         |
 * |                                                                      |
 * | You should have received a copy of the GNU General Public License    |
 * | along with this program; if not, write to the Free Software          |
 * | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA            |
 * | 02111-1307, USA.                                                     |
 * |                                                                      |
 * | Author: Pablo A. Vargas - pvargas@itds.com.ar                        |
 * |         Emmanuel N. Millan Kujtiuk - emillan@itds.com.ar             |
 * +----------------------------------------------------------------------+
 * | http://www.itds.com.ar/dev/sige                                      |
 * +----------------------------------------------------------------------+
 * 
 */ 
///////////////////////////////////////////////////////////////

// PRIMERO VERIFICAMOS QUE ESTEMOS LOGUEADOS
if (($LU->isLoggedIn()) && ($LU->getProperty('perm_type','perm')!= "0")) { 
	$estado_login = "1";
} else {
	$estado_login = "0";
}

// SI EL MODULO EXIGE QUE ESTEMOS LOGUEADOS
// TODO: esto es todavia necesario ?? esto viene de la version anterior
if ((isset($AUTH_login_req)) && ($estado_login != "1" )) {
	$ERR_login="1";
}

// SI EL MODULO EXIGE ALGUN TIPO DE NIVEL LO REVISAMOS ACA
// por defecto no tenemos permisos
// TODO: esto es todavia necesario ?? esto viene de la version anterior
if (isset($AUTH_level_req))  {
	if ($estado_login == "1" ) {
		$token_level="0";
		foreach ($AUTH_level_req as $level_req) {
			if ($level_req == $LU->getProperty('perm_type','perm')) {
				// pero si tenemos permisos el token pasa a 1
				$token_level = "1";
			}
		}
		if ($token_level == "0") {
			$ERR_login="2";
		}
	} else {
		$ERR_login="3";
	}
}

//QUE
//Depende de que tipo de usuario soy, es la lista que genero,
//si soy usuario (perm_type=1) busco que permisos tengo y genero la lista
//si soy area_dmin (perm_type=3) busco los permisos y ademas cual es el area de la que soy
//area_admin.
//si soy super_admin o master_admin(perm_type=4 y perm_type=5) genero la lista
//de todas las areas.

// SI NO ESTA DEFINIDA LA LISTA DE LOS MODULOS A LOS QUE PUEDO ACCEDER LA GENERO
if (empty($_SESSION['modules_av'])) {
	
	//echo "entro";
	if ($LU->getProperty('handle')) {
		$usernem=$LU->getProperty('handle');
	} else {
		$usernem="anon";
	}
	
	$area_array=array();
	
	//LISTADO DE MODULOS///////
	// aca se tiene q guardar en la session los modulos a los que tiene acceso el usuario,
	// esto quiere decir que se tiene que listar las areas en las cuales el usuario tenga cualquier permiso 
	// tambien que permisos obtiene el usuario dependiendo a que grupo pertenece. 

	$filter="";
	//AREA_ADMIN
	if ($LU->getProperty("perm_type","perm")=="3") { 
		$user_id = $LU->getProperty("perm_user_id","perm");
		
		$filter=array(	'filters' 			=> array('perm_user_id'=>$user_id,'application_estado'=>'1','area_estado'=>'1'),
						'selectable_tables'	=> array('area_admin_areas','areas','applications'),
	    		      	'fields'			=> array(	'area_orden',
														'area_id',
														'area_define_name',
														'area_directorio',
														'area_estado', 
														'application_directorio',
														'application_define_name',
														'application_orden',
														'application_estado',
													),
				    	'orders' => array('application_orden' => 'ASC','area_orden' => 'ASC')
				    	
				    );

	//SUPER_ADMIN y MASTER_ADMIN	 					 
	} elseif (($LU->getProperty("perm_type","perm")=="4") || ($LU->getProperty("perm_type","perm")=="5")) {
		$filter=array(	'filters' 			=> array('area_estado'=>"1",'application_estado'=>'1'),
			      		'selectable_tables'	=> array('areas','applications'),
	    		      	'fields'			=> array(	'area_orden',
														'area_id',
														'area_define_name',
														'area_directorio',
					      								'area_estado',
														'application_directorio',
														'application_define_name',
														'application_orden',
														'application_estado',
													),
				    	'orders' => array('application_orden' => 'ASC','area_orden' => 'ASC'),

					);
	}
	
	if (!empty($filter)) {
		$areas = $LUA->perm->getAreas($filter);
					
		foreach($areas as $key => $valor) {
			$directorio_apps=$valor['application_directorio'];
			$directorio_mods=$valor['area_directorio'];
	
			$modulos[$directorio_apps]['name']=$valor['application_define_name'];
			$modulos[$directorio_apps]['orden']=$valor['application_orden'];
			$modulos[$directorio_apps][$directorio_mods]['ID']=$valor['area_id'];
			$modulos[$directorio_apps][$directorio_mods]['name']=$valor['area_define_name'];
			$modulos[$directorio_apps][$directorio_mods]['ord']=$valor['area_orden'];
		}
		$area_array[]=$valor['area_id'];
	}
	
	//Si soy usuario ANONIMO, USER, ADMIN o AREA_ADMIN me fijo que permisos tengo
	//y genero la lista de modulos accesibles.
	if (($LU->getProperty("perm_type","perm")=="0") || 
	    ($LU->getProperty("perm_type","perm")=="1") ||
	    ($LU->getProperty("perm_type","perm")=="2") || 
	    ($LU->getProperty("perm_type","perm")=="3")) {
		
		$rights_ids= $LU->getProperty("right_ids","perm");

		
		foreach($rights_ids as $right_id => $right_level) {
			//echo "entro - $right_id => $right_level ";

			$data=array(	'filters'			=> array('right_id'=>$right_id,'application_estado'=>'1','area_estado'=>'1'),
				    		'selectable_tables'	=> array('rights','areas','applications'),
				    		'fields'			=> array(	'area_orden',
															'area_id',
															'area_define_name',
															'area_directorio',
						    								'area_estado',
															'application_directorio',
															'application_define_name',
															'application_orden',
															'application_estado',
														),
				    		'orders' => array('application_orden' => 'ASC','area_orden' => 'ASC'),
				    	);
						
			$areas=$LUA->perm->getAreas($data);
	
			foreach($areas as $key2 => $valor) {
				if (($valor['area_estado']==1) && (!in_array($valor['area_id'],$area_array))){
					$directorio_apps=$valor['application_directorio'];
					$directorio_mods=$valor['area_directorio'];
						
					$modulos[$directorio_apps]['name']=$valor['application_define_name'];
					$modulos[$directorio_apps]['orden']=$valor['application_orden'];
					$modulos[$directorio_apps][$directorio_mods]['ID']=$valor['area_id'];
					$modulos[$directorio_apps][$directorio_mods]['name']=$valor['area_define_name'];
					$modulos[$directorio_apps][$directorio_mods]['ord']=$valor['area_orden'];
				}
			}					
			$area_array[]=$valor['area_id'];
		}
	}
	$_SESSION['modules_av']=$modulos;
}

// verifiquemos si puedo ver el modulo

//TODO MODIFICAR ACCESO
if (!empty($MODULE_base_dir)) {
	if (!is_array($_SESSION['modules_av'][$APPS_base_dir][$MODULE_base_dir])) {
		$ERR_login="4";
	} 
}


if (isset($ERR_login)) {
	header("Location:".$SYS_PATH."auth/login.php?err=$ERR_login");
}

?>
