<?php
/*
 * Created on May 12, 2006
 * 
 * +----------------------------------------------------------------------+
 * | SIGE:                                                                |
 * | Plataforma de desarrollo modular con administracion de usuarios,     |
 * | grupos, modulos y permisos                                           |
 * +----------------------------------------------------------------------+
 * |                                                                      |
 * | Copyright (C) 2005,2006  I.T.D.S. - Mendoza - Argentina              |
 * |                                                                      |
 * | This program is free software; you can redistribute it and/or        |
 * | modify it under the terms of the GNU General Public License          |
 * | as published by the Free Software Foundation; either version 2       |
 * | of the License, or (at your option) any later version.               |
 * |                                                                      |
 * | This program is distributed in the hope that it will be useful,      |
 * | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
 * | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
 * | GNU General Public License for more details.                         |
 * |                                                                      |
 * | You should have received a copy of the GNU General Public License    |
 * | along with this program; if not, write to the Free Software          |
 * | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA            |
 * | 02111-1307, USA.                                                     |
 * |                                                                      |
 * | Author: Emmanuel N. Millan Kujtiuk - emillan@itds.com.ar             |
 * |                                                                      |
 * +----------------------------------------------------------------------+
 * | http://www.itds.com.ar/dev/sige                                      |
 * +----------------------------------------------------------------------+
 * *
 */
 

require_once $SYS_PATH."inc/config.inc.php";

require_once "LiveUser.php";
require_once "LiveUser/Admin.php";

$db_auth =& MDB2::connect($dsn_auth);
if (PEAR::isError($db_auth))
  {
  echo $db_auth->getMessage() . ' ' . $db_auth->getUserInfo();
  }
 
$db_auth->setFetchMode(MDB2_FETCHMODE_ASSOC);
 
$conf =
    array(
		'debug' => true,
		'session'  => array(
        	'name'     => "$SYS_LU_SESSON_NAME",		// liveuser session name
			'varname'  => "$SYS_LU_SESSON_VARNAME",		// liveuser session var name
        ),
        'login' => array(
        	'force'    => false                   // should the user be forced to login
        ),
        'logout' => array(
        	'destroy'  => true                    // whether to destroy the session on logout
        ),
        'cache_perm' => true,
		'cookie' => array(
        	'name' => 'loginInfo',  // name of the Remember me cookie
           	'lifetime' => 7,       // cookie lifetime in days
           	'path' => null,         // cookie path ?
           	'domain' => null,       // cookie domain ?
           	'secret' => 'test',     // the encryption key for the RC4 algorithm
           	'savedir' => '.',       // absolute path to writeable directory ? (no trailing slash)
           	'secure' => false,      // whether cookie only send over secure connection
        ),
       	'authContainers' => array(
        	array(
               	'type'          => 'MDB2',        // auth container name
				'expireTime'    => 18000,          // max lifetime of a session in seconds // 5 horas
                'idleTime'      => 1800,          // max time between 2 requests // 20 minutos
                'allowDuplicateHandles' => 0,
                'allowEmptyPasswords'   => 0,     // 0=false, 1=true
                'passwordEncryptionMode'=> 'MD5',
                'storage' => array(                
		    	'dbc' => $db_auth,
				'dsn' => $dsn_auth,
				'alias' => array(          // contains any additional or non-default field alias
            		'lastlogin' 			=> 'last_login',
            		'is_active' 			=> 'is_active',
            		'owner_user_id' 		=> 'owner_user_id',
            		'owner_group_id'		=> 'owner_group_id',  
            		'full_name' 			=> 'full_name',
            		'email' 				=> 'email',
            		'answer'				=> 'answer',
            		'question'				=> 'question',
            		'area_acceso' 			=> 'area_acceso',
            		'area_estado' 			=> 'area_estado',
            		'area_orden' 			=> 'area_orden',
            		'area_directorio' 		=> 'area_directorio',                        		                       
            		'application_directorio'=> 'application_directorio',
            		'application_orden'		=> 'application_orden',
            		'application_estado'	=> 'application_estado',                      		
           		),
           		'fields' => array(            // contains any additional or non-default field types
            		'lastlogin' 		=> 'timestamp',
            		'is_active' 		=> 'boolean',
            		'owner_user_id' 	=> 'integer',
            		'owner_group_id'	=> 'integer',
            		'full_name' 		=> 'text',
            		'email' 			=> 'text',
               		'answer'			=> 'text',
            		'question'			=> 'text',
            		'area_acceso' 		=> 'text',
            		'area_area_estado'	=> 'text',
            		'area_orden'		=> 'integer',
            		'area_directorio' 	=> 'text',                        		                       
            		'application_directorio'=> 'text',
            		'application_orden'		=> 'text',
            		'application_estado'	=> 'text',
           		),
           		'tables' => array(            // contains additional tables or fields in existing tables
               		'users' => array(
               			'fields' => array(
                			'lastlogin' 	=> false,
                			'is_active'  	=> false,
                			'owner_user_id' => false,
                			'owner_group_id'=> false,
                			'full_name' 	=> false,
                			'email' 	=> false,
                			'answer'	=> false,
        					'question'	=> false,
               			)
               		),
           			'areas' => array(
           				'fields'=> array(
           					'area_acceso'=> false,
           					'area_estado'=> false,
           					'area_orden'	=> false,
           					'area_directorio' 	=> false,
           				)
           			),
					'groups' => array(
                   		'fields' => array(
                       		'is_active'	=> false,
                       		'owner_user_id'	=> false,
                       		'owner_group_id'=> false,
                   		)
           			),
           			'applications' => array(
                   		'fields' => array(
                       		'application_directorio'=> false,
                       		'application_orden'		=> false,
               				'application_estado'	=> false,
                   		)
           			)
           		)
        	)
    	)
	),
        
	'permContainer' => array(
        	'type' => 'Complex',
			'storage' => array(
				'MDB2' => array(              // storage container name
					'dbc' => $db_auth,
					'dsn' => $dsn_auth,
					'prefix' => 'liveuser_',  // table prefix
					'tables' => array(
						'groups' => array(),
						'fields' => array(
							'owner_user_id'  => false,
							'owner_group_id' => false,
							'is_active'      => false,
							'full_name'      => false,
							'email'			 => false,
						),
						'areas' => array(
                			'fields'=> array(
	                			'area_acceso'		=> false,
        						'area_estado'		=> false,
        						'area_orden'		=> false,
	    						'area_directorio' 	=> false,                      
                			)
                   		),	
           				'users' => array(
        					'fields' => array(
								'owner_user_id'  => false,
                    			'owner_group_id' => false,
                    			'is_active'      => false,
                    			'full_name'      => false,
                    			'email'			 => false,
                        		'answer'		 => false,
                				'question'		 => false,          
        					)
            			),
               			'applications' => array(
                   			'fields' => array(
                       			'application_directorio'=> false,
                       			'application_orden'		=> false,
               					'application_estado'	=> false,
                   			),
           				)
           			),
        			'fields' => array(        // contains any additional or non-default field types
            			'owner_user_id' 	=> 'integer',
            			'owner_group_id'	=> 'integer',
            			'is_active'     	=> 'boolean',
            			'full_name'     	=> 'text',
            			'email'				=> 'email',
                		'answer'			=> 'text',
            			'question'			=> 'text',
            			'area_acceso' 		=> 'text',
                		'area_estado'		=> 'text',
                		'area_orden'		=> 'integer',
                		'area_directorio' 	=> 'text',                    			  
            			'application_directorio'=> 'text',
            			'application_orden'		=> 'text',
            			'application_estado'	=> 'text',
           			),
    				'alias'  => array(        // contains any additional or non-default field alias
            			'owner_user_id' 		=> 'owner_user_id',
            			'owner_group_id'		=> 'owner_group_id',
            			'full_name'     		=> 'full_name',
            			'email'					=> 'email',
            			'is_active'				=> 'is_active',  
        		    	'answer'				=> 'answer',
            			'question'				=> 'question',
            			'area_acceso' 			=> 'area_acceso',
            			'area_estado' 			=> 'area_estado', 
            			'area_orden'			=> 'area_orden',
            			'area_directorio' 		=> 'area_directorio',                        			
            			'application_directorio'=> 'application_directorio',
            			'application_orden'		=> 'application_orden',
            			'application_estado'	=> 'application_estado',
           			)		
       	 		)
      		)
       	)
	);
              
                
PEAR::setErrorHandling(PEAR_ERROR_RETURN);


$LU = &LiveUser::singleton($conf);

 
if (!$LU->init()) {
    var_dump($LU->getErrors());
    die();
}

if (!isset($_SESSION['anon'])) {
	$_SESSION['anon']=true;
}
//$_SESSION['modules_av']="";


$file=basename($_SERVER['PHP_SELF']);

if ($file == "login.php") {
	$handle = (array_key_exists('handle', $_REQUEST)) ? $_REQUEST['handle'] : null;
	$passwd = (array_key_exists('passwd', $_REQUEST)) ? $_REQUEST['passwd'] : null;
	$logout = (array_key_exists('logout', $_REQUEST)) ? $_REQUEST['logout'] : false;
} else { 
	$handle="";  $logout=""; $passwd=""; 
} 

$remember = (array_key_exists('rememberMe', $_REQUEST)) ? $_REQUEST['rememberMe'] : false;

if ($logout){
	$LU->logout(true);
  	//$LU->logout(false);
  	$alerta =$LANG_logout_ok;                       // does not delete the RememberMe cookie
  	header("Location: ".$SYS_PATH."index.php");
// si (no login) o (existe handle y LU[handle] es distinto al handle)  	
} elseif(!$LU->isLoggedIn() || ($handle && $LU->getProperty('handle') != $handle)) {
	if (!$handle) {
		$LU->login(null, null, true);
	} else {
		$LU->logout(true);
		// EL LOGOUT BORRA TODOS LOS DATOS DE LA SESSION !!!!!
		$_SESSION['anon']=false;
		$LU->login($handle, $passwd, false);
		
		if(!$LU->isLoggedIn()) {
			$_SESSION['anon']=true;
		}

	}
	
	//Si no ingrese un $handle, o sea, no vengo de la pagina login.php
	//me logineo como usuario anonimo, tiene que existir en la base de datos.
	if ($_SESSION['anon']==true) {
		$LU->login("anonimo", "anonimo", false);
	}
}

$LUA = &LiveUser_Admin::factory($conf);
$LUA->init();

 
?>