<?php
/*
 * File: class_html.php
 * Created on 03/12/2005 
 * 
 * +----------------------------------------------------------------------+
 * | SIGE:                                                                |
 * | Plataforma de desarrollo modular con adminsitracion de usuarios,     |
 * | grupos, modulos y permisos                                           |
 * +----------------------------------------------------------------------+
 * |                                                                      |
 * | Copyright (C) 2005,2006  I.T.D.S. - Mendoza - Argentina              |
 * |                                                                      |
 * | This program is free software; you can redistribute it and/or        |
 * | modify it under the terms of the GNU General Public License          |
 * | as published by the Free Software Foundation; either version 2       |
 * | of the License, or (at your option) any later version.               |
 * |                                                                      |
 * | This program is distributed in the hope that it will be useful,      |
 * | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
 * | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
 * | GNU General Public License for more details.                         |
 * |                                                                      |
 * | You should have received a copy of the GNU General Public License    |
 * | along with this program; if not, write to the Free Software          |
 * | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA            |
 * | 02111-1307, USA.                                                     |
 * |                                                                      |
 * | Author: Pablo A. Vargas - pvargas@itds.com.ar                        |
 * |                                                                      |
 * +----------------------------------------------------------------------+
 * | http://www.itds.com.ar/dev/sige                                      |
 * +----------------------------------------------------------------------+
 * 
 */
 
/*
 * FUNCION make_table:
 * 			$data = array de n * n dimensiones donde el primer registro
 * 					 trae el nombre de la cabecera de la tabla
 * 			$class_menu = clase del css a utilizar en la cabecera
 * 			$class_cuerpo = clase del css a utilizar en el cuerpo
 * 			$column = Columna que se se les pasara como id a los archivos
 * 					 de edicion y borraddo
 * 			$editlink = link al archivo que edita el registro
 * 			$dellink = link al archivo que elimina el registro 
 */

function make_table ($data,$class_menu="",$class_cuerpo="",$column ="1" ,$editlink="0",$dellink="0") {
	
	global $SYS_skin_dir,$SYS_icon_edit,$SYS_icon_del;
	global $LANG_delete, $LANG_edit;
	
	$salida = "<br><table class='pme-main'> \n";
	foreach ($data as $id => $var) {
		if ($id == "0"){
			$class=$class_menu;
		} else {
			$class=$class_cuerpo;
		}	

		$salida .= "<tr> \n";
		$i=0;
		foreach ($var as  $value ) {
			$i++;
			$salida .= "<td class=\"$class\">$value</td> \n";
			
			if ($i == $column ){
				$key = "$value";
			}
		}	
		
		
		$id_url=urlencode($key);
		if (($editlink != "0")&&($id != "0")) {
			$salida .= "<td class=\"$class\"><a href=$editlink?id=".$id_url." alt=$LANG_edit>" .
					"<img src='$SYS_skin_dir/imgs/$SYS_icon_edit' width='15' height='15'border=0></a>" .
					"</td> \n";
		}
		if (($dellink != "0")&&($id != "0")) {
			$salida .= "<td class=\"$class\"><a href=$dellink?id=".$id_url." alt=$LANG_delete>" .
					"<img src='$SYS_skin_dir/imgs/$SYS_icon_del' width='15' height='15' border=0> </a>" .
					"</td> \n";
		}
		$salida .= "</tr>\n";
	}
	$salida .= "</table><br>\n";

	return ("$salida");
} 
 
/*
 * FUNCION make_form
 * 			$data = array compuesto con los datos para armar el form con la sigte estructura
 * 				campo1 = nombre del campo
 * 				campo2 = "Display name" del campo
 * 				campo3 = valor del campo
 * 				campo4 = tipo del input
 * 							T = text (por defecto)
 * 							P = password  
 * 							S = select
 * 							A = textarea
 * 				campo5 = solo lectura o editable
 * 							R = solo lectura
 * 							E = editable (por defecto)
 * 				campo6 = opciones del input tipo select Un array de 2 * n
 * 							campo1 = id del select
 * 							campo2 = display del select
 * 
 * 			$dst = Destino, si es nulo es el mismo (PHPSELF)
 */

function make_form ($datos,$dst="0"){
	global $_SERVER;
	global $LANG_send, $LANG_cancel;
	
	$salida ="<table width=90% class='pme-main'> \n";
	// primero revisamos cada registro
	$n=0;
	foreach ($datos as $id => $registro) {
		// despues el valor de cada uno
		
		foreach ($registro as $key => $val) {
			//echo "$id - $key - $val <br> \n";
			switch ($key) {
				case 0:
					// nombre del campo
					if ($val <> "" ) { $name=$val; } else { $name="campo".$id; }
					break;	
				case 1:
					// valor del campo
					if ($val <> "" ) { $display=$val; } else { $display="campo"; }
					break;
				case 2:
					// valor del campo
					if ($val <> "" ) { $value=$val; } else { $value=""; }
					break;
				case 3:
					// tipo del campo
					switch ($val) { 
						case P:
							$type="password";
							break;
						case S:
							$type="select";
							break;
						case A:
							$type="textarea";
							break;
						default:
						$type="imput";
						break;
					}
					break;
				case 4:
					// editable o solo lectura
					if ($val <> "" ) { $parm=$val;} else {$parm=""; }
					break;
				case 5:
					// opciones del select
					if ($val <> "" ) { $opts = " "; 			
						foreach ($val as $subkey => $subval ) {
							if ($subval == $value) { $sel="selected"; } else { $sel=""; }
							$opts .= "<options value=\"$subkey\" $sel>$subval</options>\n";
						}
					} else {
						$opts="";
					}
					break;
			}
		}
		$order=$id+1;
		if ($type == "select") {
			$salida .="<tr class='pme-row-$n'>" .
					"	<td align=\"right\" class='pme-cell-$n'>$display:</td>" .
					"	<td class='pme-cell-$n'><select name=\"$name\" size=1 tabindex=$order>\n $opts </td> " .
					"</tr>\n";
		} elseif ($type == "texarea") {
			$salida.="<tr class='pme-row-$n'>" .
					"	<td align=\"right\" class='pme-cell-$n'>$display:</td>" .
					"	<td class='pme-cell-$n'> <$type name=\"$name\" value=\"$value\"  tabindex=$order> " .
					"</td></tr>\n ";
		} else {
			if (strlen($value) > 15 ){
				$size=strlen($value)+4;
			} else {
				$size="15";
			}
			$salida.="<tr class='pme-row-$n'>\n" .
					"	<td align=\"right\" class='pme-cell-$n'>$display:</td>\n" .
					"	<td class='pme-cell-$n'> \n" .
					"		<input type=\"$type\" name=\"$name\" value=\"$value\" size=$size tabindex=$order class='pme-input-$n'> \n" .
					"	</td>\n" .
					"</tr>\n ";
		}
		if ($n==0) { $n=1; } else { $n=0; }
	}
	if ($dst == "0" ) {
		$post = $_SERVER[PHP_SELF];
	} else {
		$post = $dst;
	}
	//$salida .="</table>\n";
	$form  = "<form action=\"$post\" method=\"post\" ><br>\n";
	$form .= $salida;
	$form .= "<tr class='pme-row-$n'>\n" .
			"	<td align=\"right\" class='pme-cell-$n' colspan='2'>\n" .
			"		<input name=\"button\" value=\"$LANG_send\" type=\"submit\" tabindex=$order class='pme-goto'>&nbsp; &nbsp; &nbsp;\n" .
			"		&nbsp;&nbsp;<input name=\"button\" value=\"$LANG_cancel\" type=\"reset\" tabindex=$order class='pme-goto'> \n" .
			"	</td>\n" .
			"</tr>\n";
	$form .= "</table>";
	$form .= "</form>";
	
	
	return($form);
}

	 
 
 
 
 
 
 
?>
