<?php
/*
 * Created on Jun 16, 2006
 * 
 * +----------------------------------------------------------------------+
 * | SIGE:                                                                |
 * | Plataforma de desarrollo modular con adminsitracion de usuarios,     |
 * | grupos, modulos y permisos                                           |
 * +----------------------------------------------------------------------+
 * |                                                                      |
 * | Copyright (C) 2005,2006  I.T.D.S. - Mendoza - Argentina              |
 * |                                                                      |
 * | This program is free software; you can redistribute it and/or        |
 * | modify it under the terms of the GNU General Public License          |
 * | as published by the Free Software Foundation; either version 2       |
 * | of the License, or (at your option) any later version.               |
 * |                                                                      |
 * | This program is distributed in the hope that it will be useful,      |
 * | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
 * | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
 * | GNU General Public License for more details.                         |
 * |                                                                      |
 * | You should have received a copy of the GNU General Public License    |
 * | along with this program; if not, write to the Free Software          |
 * | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA            |
 * | 02111-1307, USA.                                                     |
 * |                                                                      |
 * | Author: Emmanuel N. Milln - emillan@itds.com.ar                      |
 * |         Pablo A. Vargas - pvargas@itds.com.ar                        |
 * |                                                                      |
 * +----------------------------------------------------------------------+
 * | http://www.itds.com.ar/dev/sige                                      |
 * +----------------------------------------------------------------------+
 * *
 */


//******************************************************/
/**
 * Imprime en formato html un array para verlo comodamente en un browser
 * @author Pablo Vargas <pvargas@itds.com.ar>
 * @param array $aData array a mostrar
 * @return string 
 */

function print_html_r( $aData ) {
   $salida= nl2br( eregi_replace( " ", "&nbsp;", print_r( $aData, TRUE ) ) );
   return $salida   ;
} 

/**
 * Imprime mensage de error si la consulta dio error
 */
function db_error ($result, $FILE = "sin definir",$LINE = "sin definir", $query = "sin definir") {
	GLOBAL $LANG_file, $LANG_line, $LANG_query;
	if (PEAR::isError($result)) { 
		echo ($result->getMessage()); 
		echo "<br /><b>$LANG_file:</b> $FILE <br /> <b>$LANG_line:</b> $LINE <br /><b>$LANG_query</b>: $query"; 
		exit();
	}				
}	
/**
 * Trae informacion de un usuario del contenedor auth del liveuser
 * @author Pablo Vargas <pvargas@itds.com.ar>
 * @param int $auth_user_id identificador unico del usuario
 * @param string $campo campo del LU_users que desamos averiguar
 * @return string
 */
function trae_datos_lu($auth_user_id,$campo="full_name") {
	global $LUA;
	$filter=array('filters' => array('auth_user_id' => $auth_user_id));
	$valor=$LUA->getUsers($filter);
	$valor=$valor[0][$campo];
	
	return($valor);	
}

/**
 *  parse php modules from phpinfo 
 *  @return string listado de modulos instalados en el apache
 */
function parsePHPModules() {
	ob_start();
	phpinfo(INFO_MODULES);
	$s = ob_get_contents();
	ob_end_clean();
 
	$s = strip_tags($s,'<h2><th><td>');
	$s = preg_replace('/<th[^>]*>([^<]+)<\/th>/',"<info>\\1</info>",$s);
	$s = preg_replace('/<td[^>]*>([^<]+)<\/td>/',"<info>\\1</info>",$s);
	$vTmp = preg_split('/(<h2>[^<]+<\/h2>)/',$s,-1,PREG_SPLIT_DELIM_CAPTURE);
	$vModules = array();
	for ($i=1;$i<count($vTmp);$i++) {
		if (preg_match('/<h2>([^<]+)<\/h2>/',$vTmp[$i],$vMat)) {
			$vName = trim($vMat[1]);
			$vTmp2 = explode("\n",$vTmp[$i+1]);
			foreach ($vTmp2 AS $vOne) {
				$vPat = '<info>([^<]+)<\/info>';
				$vPat3 = "/$vPat\s*$vPat\s*$vPat/";
				$vPat2 = "/$vPat\s*$vPat/";
				if (preg_match($vPat3,$vOne,$vMat)) { // 3cols
					$vModules[$vName][trim($vMat[1])] = array(trim($vMat[2]),trim($vMat[3]));
				} elseif (preg_match($vPat2,$vOne,$vMat)) { // 2cols
					$vModules[$vName][trim($vMat[1])] = trim($vMat[2]);
				}
			}
		}
	}
 	return $vModules;
} 
/**
 * completa con ceros (0) un string
 * @author Pablo Vargas <pvargas@itds.com.ar>
 * @return string 
 * @param string $valor cadena a completar
 * @param int $largo cantidiad de digitos que debe tener el string
 */
function completa($valor,$largo) {
	$le=strlen($valor);
	$diferencia=$largo-$le;
	$i=0;
	while ($i < $diferencia) {
		$complemento="0".$complemento;
		$i++;
	}
	$salida=$complemento.$valor;
	return($salida);
	
}  

/**
 * resalta con cofigo html una letra en una cadena
 * @author Pablo Vargas <pvargas@itds.com.ar>
 * @return string 
 * @param string $cadena cadena a resaltar
 * @param int $caracter caracter a resaltar
 */
function remarca($cadena,$caracter) {
	$replace="<b><U>".$caracter."</U></b>";
	$cadena=str_replace($caracter,$replace,$cadena);
	return($cadena);
}
  
?>
