CREATE TABLE liveuser_applications (
  application_id INTEGER(11) NULL,
  application_define_name VARCHAR(32) NULL,
  application_directorio VARCHAR(45) NOT NULL,
  application_estado VARCHAR(20) NOT NULL,
  application_orden INTEGER(11) NOT NULL,
  INDEX application_id_idx(application_id),
  INDEX define_name_i_idx(application_define_name)
);

CREATE TABLE liveuser_applications_seq (
  sequence INTEGER(11) NOT NULL,
  PRIMARY KEY(sequence)
);

CREATE TABLE liveuser_areas (
  area_id INTEGER(11) NULL,
  application_id INTEGER(11) NULL,
  area_define_name VARCHAR(32) NULL,
  area_directorio VARCHAR(70) NOT NULL,
  area_acceso VARCHAR(20) NOT NULL,
  area_estado VARCHAR(20) NOT NULL,
  area_orden INTEGER(11) NOT NULL,
  INDEX area_id_idx(area_id),
  INDEX define_name_i_idx(application_id, area_define_name)
);

CREATE TABLE liveuser_areas_seq (
  sequence INTEGER(11) NOT NULL,
  PRIMARY KEY(sequence)
);

CREATE TABLE liveuser_area_admin_areas (
  area_id INTEGER(11) NULL,
  perm_user_id INTEGER(11) NULL,
  INDEX id_i_idx(area_id, perm_user_id)
);

CREATE TABLE liveuser_grouprights (
  group_id INTEGER(11) NULL,
  right_id INTEGER(11) NULL,
  right_level INTEGER(11) NULL,
  INDEX id_i_idx(group_id, right_id)
);

CREATE TABLE liveuser_groups (
  group_id INTEGER(11) NULL,
  group_type INTEGER(11) NULL,
  group_define_name VARCHAR(32) NULL,
  is_active TINYINT(1) NULL DEFAULT '1',
  owner_user_id INTEGER(11) NULL,
  owner_group_id INTEGER(11) NULL,
  INDEX group_id_idx(group_id),
  INDEX define_name_i_idx(group_define_name)
);

CREATE TABLE liveuser_groups_seq (
  sequence INTEGER(11) NOT NULL,
  PRIMARY KEY(sequence)
);

CREATE TABLE liveuser_groupusers (
  perm_user_id INTEGER(11) NULL,
  group_id INTEGER(11) NULL,
  INDEX id_i_idx(perm_user_id, group_id)
);

CREATE TABLE liveuser_group_subgroups (
  group_id INTEGER(11) NULL,
  subgroup_id INTEGER(11) NULL,
  INDEX id_i_idx(group_id, subgroup_id)
);

CREATE TABLE liveuser_perm_users (
  perm_user_id INTEGER(11) NULL,
  auth_user_id VARCHAR(32) NULL,
  auth_container_name VARCHAR(32) NULL,
  perm_type INTEGER(11) NULL,
  INDEX perm_user_id_idx(perm_user_id),
  INDEX auth_id_i_idx(auth_user_id, auth_container_name)
);

CREATE TABLE liveuser_perm_users_seq (
  sequence INTEGER(11) NOT NULL,
  PRIMARY KEY(sequence)
);

CREATE TABLE liveuser_rights (
  right_id INTEGER(11) NULL,
  area_id INTEGER(11) NULL,
  right_define_name VARCHAR(32) NULL,
  has_implied TINYINT(1) NULL DEFAULT '1',
  INDEX right_id_idx(right_id),
  INDEX define_name_i_idx(area_id, right_define_name)
);

CREATE TABLE liveuser_rights_seq (
  sequence INTEGER(11) NOT NULL,
  PRIMARY KEY(sequence)
);

CREATE TABLE liveuser_right_implied (
  right_id INTEGER(11) NULL,
  implied_right_id INTEGER(11) NULL,
  INDEX id_i_idx(right_id, implied_right_id)
);

CREATE TABLE liveuser_translations_seq (
  sequence INTEGER(11) NOT NULL,
  PRIMARY KEY(sequence)
);

CREATE TABLE liveuser_userrights (
  perm_user_id INTEGER(11) NULL,
  right_id INTEGER(11) NULL,
  right_level INTEGER(11) NULL,
  INDEX id_i_idx(perm_user_id, right_id)
);

CREATE TABLE liveuser_usersinter (
  auth_user_id VARCHAR(32) NULL,
  handle VARCHAR(32) NULL,
  full_name VARCHAR(100) NULL,
  passwd VARCHAR(32) NULL,
  owner_user_id INTEGER(11) NULL,
  owner_group_id INTEGER(11) NULL,
  last_login DATETIME NULL DEFAULT '1970-01-01 00:00:00',
  is_active TINYINT(1) NULL DEFAULT '1',
  email VARCHAR(100) NULL,
  question VARCHAR(70) NULL,
  answer VARCHAR(50) NULL,
  direccion VARCHAR(60) NOT NULL,
  dni INTEGER(8) NOT NULL,
  nombre VARCHAR(50) NOT NULL,
  apellido VARCHAR(50) NOT NULL,
  localidad VARCHAR(60) NOT NULL,
  cp INTEGER(6) NOT NULL,
  telefono VARCHAR(18) NOT NULL,
  interno VARCHAR(18) NULL,
  INDEX auth_user_id_idx(auth_user_id)
);

CREATE TABLE liveuser_users_seq (
  sequence INTEGER(11) NOT NULL,
  PRIMARY KEY(sequence)
);

CREATE TABLE news_seq (
  sequence INTEGER(11) NOT NULL,
  PRIMARY KEY(sequence)
);


