-- MySQL dump 10.10
--
-- Host: localhost    Database: sige_lu
-- ------------------------------------------------------
-- Server version	5.0.24

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `liveuser_applications`
--

DROP TABLE IF EXISTS `liveuser_applications`;
CREATE TABLE `liveuser_applications` (
  `application_id` int(11) default '0',
  `application_define_name` varchar(32) default NULL,
  `application_directorio` varchar(45) NOT NULL default '',
  `application_estado` varchar(20) NOT NULL default '1',
  `application_orden` int(11) NOT NULL default '0',
  UNIQUE KEY `application_id_idx` (`application_id`),
  UNIQUE KEY `define_name_i_idx` (`application_define_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_applications`
--


/*!40000 ALTER TABLE `liveuser_applications` DISABLE KEYS */;
LOCK TABLES `liveuser_applications` WRITE;
INSERT INTO `liveuser_applications` VALUES (1,'Administrar Plataforma','pfadmin','1',99);
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_applications` ENABLE KEYS */;

--
-- Table structure for table `liveuser_applications_seq`
--

DROP TABLE IF EXISTS `liveuser_applications_seq`;
CREATE TABLE `liveuser_applications_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_applications_seq`
--


/*!40000 ALTER TABLE `liveuser_applications_seq` DISABLE KEYS */;
LOCK TABLES `liveuser_applications_seq` WRITE;
INSERT INTO `liveuser_applications_seq` VALUES (9);
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_applications_seq` ENABLE KEYS */;

--
-- Table structure for table `liveuser_area_admin_areas`
--

DROP TABLE IF EXISTS `liveuser_area_admin_areas`;
CREATE TABLE `liveuser_area_admin_areas` (
  `area_id` int(11) default '0',
  `perm_user_id` int(11) default '0',
  UNIQUE KEY `id_i_idx` (`area_id`,`perm_user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_area_admin_areas`
--


/*!40000 ALTER TABLE `liveuser_area_admin_areas` DISABLE KEYS */;
LOCK TABLES `liveuser_area_admin_areas` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_area_admin_areas` ENABLE KEYS */;

--
-- Table structure for table `liveuser_areas`
--

DROP TABLE IF EXISTS `liveuser_areas`;
CREATE TABLE `liveuser_areas` (
  `area_id` int(11) default '0',
  `application_id` int(11) default '0',
  `area_define_name` varchar(32) default NULL,
  `area_directorio` varchar(70) NOT NULL default '',
  `area_acceso` varchar(20) NOT NULL default '',
  `area_estado` varchar(20) NOT NULL default '',
  `area_orden` int(11) NOT NULL default '0',
  UNIQUE KEY `area_id_idx` (`area_id`),
  UNIQUE KEY `define_name_i_idx` (`application_id`,`area_define_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_areas`
--


/*!40000 ALTER TABLE `liveuser_areas` DISABLE KEYS */;
LOCK TABLES `liveuser_areas` WRITE;
INSERT INTO `liveuser_areas` VALUES (1,1,'Administracion de Usuarios','admin_user','priv','1',1),(2,1,'Administracion de Aplicaciones','admin_apps','priv','1',3),(3,1,'Administracion de Grupos','admin_group','priv','1',2),(4,1,'Administracion de Areas','admin_areas','priv','1',4);
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_areas` ENABLE KEYS */;

--
-- Table structure for table `liveuser_areas_seq`
--

DROP TABLE IF EXISTS `liveuser_areas_seq`;
CREATE TABLE `liveuser_areas_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=44 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_areas_seq`
--


/*!40000 ALTER TABLE `liveuser_areas_seq` DISABLE KEYS */;
LOCK TABLES `liveuser_areas_seq` WRITE;
INSERT INTO `liveuser_areas_seq` VALUES (43);
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_areas_seq` ENABLE KEYS */;

--
-- Table structure for table `liveuser_group_subgroups`
--

DROP TABLE IF EXISTS `liveuser_group_subgroups`;
CREATE TABLE `liveuser_group_subgroups` (
  `group_id` int(11) default '0',
  `subgroup_id` int(11) default '0',
  UNIQUE KEY `id_i_idx` (`group_id`,`subgroup_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_group_subgroups`
--


/*!40000 ALTER TABLE `liveuser_group_subgroups` DISABLE KEYS */;
LOCK TABLES `liveuser_group_subgroups` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_group_subgroups` ENABLE KEYS */;

--
-- Table structure for table `liveuser_grouprights`
--

DROP TABLE IF EXISTS `liveuser_grouprights`;
CREATE TABLE `liveuser_grouprights` (
  `group_id` int(11) default '0',
  `right_id` int(11) default '0',
  `right_level` int(11) default '0',
  UNIQUE KEY `id_i_idx` (`group_id`,`right_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_grouprights`
--


/*!40000 ALTER TABLE `liveuser_grouprights` DISABLE KEYS */;
LOCK TABLES `liveuser_grouprights` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_grouprights` ENABLE KEYS */;

--
-- Table structure for table `liveuser_groups`
--

DROP TABLE IF EXISTS `liveuser_groups`;
CREATE TABLE `liveuser_groups` (
  `group_id` int(11) default '0',
  `group_type` int(11) default '0',
  `group_define_name` varchar(32) default NULL,
  `is_active` tinyint(1) default '1',
  `owner_user_id` int(11) default '0',
  `owner_group_id` int(11) default '0',
  UNIQUE KEY `group_id_idx` (`group_id`),
  UNIQUE KEY `define_name_i_idx` (`group_define_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_groups`
--


/*!40000 ALTER TABLE `liveuser_groups` DISABLE KEYS */;
LOCK TABLES `liveuser_groups` WRITE;
INSERT INTO `liveuser_groups` VALUES (12,0,'anonimos',1,0,0),(13,0,'todos',1,0,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_groups` ENABLE KEYS */;

--
-- Table structure for table `liveuser_groups_seq`
--

DROP TABLE IF EXISTS `liveuser_groups_seq`;
CREATE TABLE `liveuser_groups_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_groups_seq`
--


/*!40000 ALTER TABLE `liveuser_groups_seq` DISABLE KEYS */;
LOCK TABLES `liveuser_groups_seq` WRITE;
INSERT INTO `liveuser_groups_seq` VALUES (24);
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_groups_seq` ENABLE KEYS */;

--
-- Table structure for table `liveuser_groupusers`
--

DROP TABLE IF EXISTS `liveuser_groupusers`;
CREATE TABLE `liveuser_groupusers` (
  `perm_user_id` int(11) default '0',
  `group_id` int(11) default '0',
  UNIQUE KEY `id_i_idx` (`perm_user_id`,`group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_groupusers`
--


/*!40000 ALTER TABLE `liveuser_groupusers` DISABLE KEYS */;
LOCK TABLES `liveuser_groupusers` WRITE;
INSERT INTO `liveuser_groupusers` VALUES (1,12),(2,13);
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_groupusers` ENABLE KEYS */;

--
-- Table structure for table `liveuser_perm_users`
--

DROP TABLE IF EXISTS `liveuser_perm_users`;
CREATE TABLE `liveuser_perm_users` (
  `perm_user_id` int(11) default '0',
  `auth_user_id` varchar(32) default NULL,
  `auth_container_name` varchar(32) default NULL,
  `perm_type` int(11) default '0',
  UNIQUE KEY `perm_user_id_idx` (`perm_user_id`),
  UNIQUE KEY `auth_id_i_idx` (`auth_user_id`,`auth_container_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_perm_users`
--


/*!40000 ALTER TABLE `liveuser_perm_users` DISABLE KEYS */;
LOCK TABLES `liveuser_perm_users` WRITE;
INSERT INTO `liveuser_perm_users` VALUES (1,'1','0',0),(2,'2','0',5);
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_perm_users` ENABLE KEYS */;

--
-- Table structure for table `liveuser_perm_users_seq`
--

DROP TABLE IF EXISTS `liveuser_perm_users_seq`;
CREATE TABLE `liveuser_perm_users_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=35 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_perm_users_seq`
--


/*!40000 ALTER TABLE `liveuser_perm_users_seq` DISABLE KEYS */;
LOCK TABLES `liveuser_perm_users_seq` WRITE;
INSERT INTO `liveuser_perm_users_seq` VALUES (34);
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_perm_users_seq` ENABLE KEYS */;

--
-- Table structure for table `liveuser_right_implied`
--

DROP TABLE IF EXISTS `liveuser_right_implied`;
CREATE TABLE `liveuser_right_implied` (
  `right_id` int(11) default '0',
  `implied_right_id` int(11) default '0',
  UNIQUE KEY `id_i_idx` (`right_id`,`implied_right_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_right_implied`
--


/*!40000 ALTER TABLE `liveuser_right_implied` DISABLE KEYS */;
LOCK TABLES `liveuser_right_implied` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_right_implied` ENABLE KEYS */;

--
-- Table structure for table `liveuser_rights`
--

DROP TABLE IF EXISTS `liveuser_rights`;
CREATE TABLE `liveuser_rights` (
  `right_id` int(11) default '0',
  `area_id` int(11) default '0',
  `right_define_name` varchar(32) default NULL,
  `has_implied` tinyint(1) default '1',
  UNIQUE KEY `right_id_idx` (`right_id`),
  UNIQUE KEY `define_name_i_idx` (`area_id`,`right_define_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_rights`
--


/*!40000 ALTER TABLE `liveuser_rights` DISABLE KEYS */;
LOCK TABLES `liveuser_rights` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_rights` ENABLE KEYS */;

--
-- Table structure for table `liveuser_rights_seq`
--

DROP TABLE IF EXISTS `liveuser_rights_seq`;
CREATE TABLE `liveuser_rights_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=131 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_rights_seq`
--


/*!40000 ALTER TABLE `liveuser_rights_seq` DISABLE KEYS */;
LOCK TABLES `liveuser_rights_seq` WRITE;
INSERT INTO `liveuser_rights_seq` VALUES (130);
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_rights_seq` ENABLE KEYS */;

--
-- Table structure for table `liveuser_translations`
--

DROP TABLE IF EXISTS `liveuser_translations`;
CREATE TABLE `liveuser_translations` (
  `translation_id` int(11) NOT NULL default '0',
  `section_id` int(11) NOT NULL default '0',
  `section_type` int(11) NOT NULL default '0',
  `language_id` varchar(32) NOT NULL default '',
  `name` varchar(32) default NULL,
  `description` varchar(255) default NULL,
  UNIQUE KEY `translations_translation_id_idx` (`translation_id`),
  UNIQUE KEY `translations_translation_i_idx` (`section_id`,`section_type`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_translations`
--


/*!40000 ALTER TABLE `liveuser_translations` DISABLE KEYS */;
LOCK TABLES `liveuser_translations` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_translations` ENABLE KEYS */;

--
-- Table structure for table `liveuser_translations_seq`
--

DROP TABLE IF EXISTS `liveuser_translations_seq`;
CREATE TABLE `liveuser_translations_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_translations_seq`
--


/*!40000 ALTER TABLE `liveuser_translations_seq` DISABLE KEYS */;
LOCK TABLES `liveuser_translations_seq` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_translations_seq` ENABLE KEYS */;

--
-- Table structure for table `liveuser_userrights`
--

DROP TABLE IF EXISTS `liveuser_userrights`;
CREATE TABLE `liveuser_userrights` (
  `perm_user_id` int(11) default '0',
  `right_id` int(11) default '0',
  `right_level` int(11) default '0',
  UNIQUE KEY `id_i_idx` (`perm_user_id`,`right_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_userrights`
--


/*!40000 ALTER TABLE `liveuser_userrights` DISABLE KEYS */;
LOCK TABLES `liveuser_userrights` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_userrights` ENABLE KEYS */;

--
-- Table structure for table `liveuser_users`
--

DROP TABLE IF EXISTS `liveuser_users`;
CREATE TABLE `liveuser_users` (
  `auth_user_id` varchar(32) default NULL,
  `handle` varchar(32) default NULL,
  `full_name` varchar(100) default NULL,
  `passwd` varchar(32) default NULL,
  `owner_user_id` int(11) default '0',
  `owner_group_id` int(11) default '0',
  `last_login` datetime default '1970-01-01 00:00:00',
  `is_active` tinyint(1) default '1',
  `email` varchar(100) default NULL,
  `question` varchar(70) default NULL,
  `answer` varchar(50) default NULL,
  `direccion` varchar(60) NOT NULL default '',
  `dni` int(8) NOT NULL default '0',
  `nombre` varchar(50) NOT NULL default '',
  `apellido` varchar(50) NOT NULL default '',
  `localidad` varchar(60) NOT NULL default '',
  `cp` int(6) NOT NULL default '0',
  `telefono` varchar(18) NOT NULL default '',
  UNIQUE KEY `auth_user_id_idx` (`auth_user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_users`
--


/*!40000 ALTER TABLE `liveuser_users` DISABLE KEYS */;
LOCK TABLES `liveuser_users` WRITE;
INSERT INTO `liveuser_users` VALUES ('1','anonimo','Anonimo','ac037c61854d527f164f8e9d23df1918',0,0,'2006-08-14 16:44:28',1,'anon@anon.coms.osd','','','',0,'','','',0,'0'),('2','adminc','Admin Crypt','eeb891203092955a706fa2011832d8e3',0,0,'2006-08-14 16:44:34',1,'sige@itds.com.ar',NULL,NULL,'',0,'','','',0,'0');
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_users` ENABLE KEYS */;

--
-- Table structure for table `liveuser_users_seq`
--

DROP TABLE IF EXISTS `liveuser_users_seq`;
CREATE TABLE `liveuser_users_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=38 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `liveuser_users_seq`
--


/*!40000 ALTER TABLE `liveuser_users_seq` DISABLE KEYS */;
LOCK TABLES `liveuser_users_seq` WRITE;
INSERT INTO `liveuser_users_seq` VALUES (37);
UNLOCK TABLES;
/*!40000 ALTER TABLE `liveuser_users_seq` ENABLE KEYS */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

